DecSync on macOS

Hello, I started using Syncthing near to 1 year and I’m so happy. All family devices are connected to each other by a Syncthing network and an AdGuard Home filtering :smiley: that works better than Google Drive! :blush:

Before Syncthing, I used SyncMate, an commericla app for macOS to syncs Calendar, Contacts and even Folders with my MacBook and my Android phone (bq Aquaris).

After some googling and searching here, I noticed there is an small tool named DecSync that let us to sync Calendar and Contacts between devices using Syncthing.

I try this one today but unfortunately it failed. May I ask you help me to set up this tool correctly on my MacBook.

After many tries radicale server still running fine but DecSync won’t work at all.

Stay safe. Best, hasan

You may want to check Synchronize calendars and contacts Syncthing, and also https://forum.syncthing.net/search?q=decsync.

I have been using Radicale with its DecSync plugin on Windows, and DecSync CC on Android for several months to synchronise contacts and calendars, and it does the job for the most part. I manage everything with Thunderbird in Windows. There are still some bugs, but I would say that they are manageable.

The Radicale website (https://radicale.org) has extensive information on how to install it on multiple operating systems. What exactly is not working there?

Just for the record, this is how my minimal Radicale config file looks like.

[server]
hosts = 127.0.0.1:5232

[storage]
type = radicale_storage_decsync
filesystem_folder = <path_to_radicale_folder>
decsync_dir = <path_to_decsync_folder>

Thank you for your reply. I try again but it seems something is wrong with a file named libdecsync.

When I going to start the Radicale server with DecSync config. I see this error:

[592] [CRITICAL] An exception occurred during server startup: Failed to load storage module ‘radicale_storage_decsync’: libdecsync: Operating system ‘Darwin’ not supported

Current operation system is macOS High Sierra I install Radicale and DecSync under Python 3.8.

Yeah, so it seems that macOS is apparently not supported by the DecSync plugin for Radicale? You may try to ask for Mac support at https://github.com/39aldo39/libdecsync.

1 Like

This post was flagged by the community and is temporarily hidden.